### Enumeration

# Ide DebuggerMovement

#### Declaration

    enum Ide.DebuggerMovement

#### Description

Describes the style of movement that should be performed by the debugger.

Available since: | 3.32

#### Members

Name | Description
--- | ---
`IDE_DEBUGGER_MOVEMENT_START` | Start or restart the application.
`IDE_DEBUGGER_MOVEMENT_CONTINUE` | Continue until a breakpoint is reached.
`IDE_DEBUGGER_MOVEMENT_STEP_IN` | Execute the next line of code, stepping into any function.
`IDE_DEBUGGER_MOVEMENT_STEP_OUT` | No description available.
`IDE_DEBUGGER_MOVEMENT_FINISH` | Run until the function returns.